---
 - name: Add user
   hosts: all
   
   tasks:
   - name: Add deploy
     ansible.builtin.user:
      name: deploy

 - name: Docker
   hosts: all
   vars:
    port: 80
    name_image: web_server
    name_container: web

   tasks:
     - name: Install dependecies
       shell: |
          sudo apt update -y
          sudo apt install apache2, curl -y
          curl -fsSL https://get.docker.com -o get-docker.sh
          sudo sh get-docker.sh

     
     - name: Create dockerfile
       shell: echo -e "FROM httpd:2.4\nWORKDIR /path/to/directory/\nCOPY index.html /usr/local/apache2/htdocs/" >> Dockerfile
 
     - name: Build and run image
       shell: "docker build -t {{name_image}} ."
       shell: "docker run -dt --name {{name_container}}  -p {{port}}:80 {{name_image}}"
       
